跳至內容

Tripo P2 Text to 3D

整合

模型 id tripo3d/p2/text-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/p2/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $1.10 1,100 API 點數 · ≈ ₽118.34 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
Tripo 文字轉 3D #3d#text-to-3d#3d-generation#low-poly

支援 PBR、四邊形網格、可選紋理版本與負面提示詞的文字轉 3D 模型,P2 文字變體

Tripo · 3D

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 88 / 1024

以文字描述所需的 3D 物件,限制為 1024 個字元。

texture_quality 預設 standard

紋理的品質設定。

進階 negative_prompt · texture_version · export_orientation · face_limit · image_seed · model_seed · texture_seed · delight · auto_size · export_uv · quad · enable_safety_checker
0 / 255

應從生成模型中排除的特徵描述。

texture_version

紋理建模使用的版本。若要快速品質,請選取 v3.5-20260815;其他版本不支援該品質。

export_orientation

若指定,則為模型匯出的前進軸設定。

網格面的上限;四邊形拓撲另有 25,000 的上限。

內部文字轉圖像階段使用的 Seed。

用於讓幾何生成可重現的 Seed。

用於讓紋理生成可重現的 Seed。

POST /run/tripo3d/p2/text-to-3d?wait=20 報價 → $1.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/p2/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Tripo P2 Text to 3D

根據最多 1024 個字元的提示詞產生 3D 模型,並接受最多 255 個字元的 `negative_prompt`。網格最多 50,000 個面,啟用 `quad` 時最多 25,000 個面。貼圖品質從 fast 到 extreme,並可選擇 `texture_version`、PBR、去光照和 UV 匯出。圖像步驟、幾何和貼圖都可使用種子。

參數

名稱類型 預設值允許值 說明
prompt必填
類型string
≤ 1,024 個字元
以文字描述所需的 3D 物件,限制為 1024 個字元。
negative_prompt選填
類型string | null
≤ 255 個字元
應從生成模型中排除的特徵描述。
image_seed選填
類型integer | null
內部文字轉圖像階段使用的 Seed。
model_seed選填
類型integer | null
用於讓幾何生成可重現的 Seed。
face_limit選填
類型integer | null
48 – 50,000
網格面的上限;四邊形拓撲另有 25,000 的上限。
texture選填
類型boolean
預設值true
控制模型是否接收生成的紋理。
pbr選填
類型boolean
預設值true
控制 PBR 材質貼圖的生成。啟用 PBR 也會啟用紋理。
texture_seed選填
類型integer | null
用於讓紋理生成可重現的 Seed。
texture_quality選填
類型enum
預設值standard
faststandarddetailedextreme
紋理的品質設定。
texture_version選填
類型enum
v3.5-20260815v3.0-20250812v2.5-20250123
紋理建模使用的版本。若要快速品質,請選取 v3.5-20260815;其他版本不支援該品質。
delight選填
類型boolean
預設值true
使用 v3.5-20260815 進行紋理處理前,移除烘焙光照。
auto_size選填
類型boolean
預設值false
自動縮放模型,使其具有以公尺測量的實際尺寸。
export_uv選填
類型boolean
預設值true
控制模型是否取得生成的 UV 座標。
export_orientation選填
類型enum
+x-x-y+y
若指定,則為模型匯出的前進軸設定。
quad選填
類型boolean
預設值false
使用四邊形而非三角形的網格拓撲。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "tripo3d/p2/text-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1100,
    "usd": "1.10",
    "charged": 1100,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "base_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "pbr_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "rendered_image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "task_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
model_mesh
object {url, content_type, file_name, file_size}包含生成 3D 模型的 GLB 或 FBX 檔案,格式取決於 Tripo 產生的內容。
model_urls
object {glb, fbx, base_model, pbr_model}指向 3D 模型替代版本的 URL。
rendered_image
object {url, content_type, file_name, file_size} | null顯示生成 3D 模型的渲染預覽。
task_id
string | null識別生成模型的可重複使用 Tripo 工作 ID,可在不重新上傳模型的情況下執行 rig 或 rig-check。

更多模型:文字轉 3D

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/tripo3d/p2/text-to-3d.md. 所有模型與指南: https://doitong.com/developers/llms.txt